#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    long long a[n], b[n];
    long long maxi=0, otg;
    long long max_b=0;
    for(int i=0; i<n; i++)
    {
        cin>>a[i]>>b[i];
        if(b[i]>max_b)
        {
            max_b=b[i];
        }
    }
    int br;
    for(int i=0; i<max_b; i++)
    {
        br=0;
        for(int j=0; j<n; j++)
        {
            if(a[j]<=i && b[j]>=i+1)
            {
                br++;
            }
        }
        if(br>maxi)
        {
            maxi=br;
            otg=1;
        }
        else if(br==maxi)
        {
            otg++;
        }
    }
    cout<<maxi<<endl;
    cout<<otg<<endl;
    return 0;
}
